



screen phone_hotspot():
    default hotspot_height = 200
    default hotspot_width = 200
    mousearea:
        area (0, 0, hotspot_width, hotspot_height)
        hovered Show("phone_trigger", transition=dissolve)
        unhovered Hide("phone_trigger", transition=dissolve)


screen phone_trigger():
    imagebutton:
        idle "Phone/PhoneBGGray.png" xalign 0.01 yalign 0.02
        action [Hide("phone_hotspot"), Hide("phone_trigger"), Show("phone")]
        at image_zoom(0.2)


transform image_zoom(zoom_val):
    on selected_idle:
        zoom zoom_val
    on idle:
        zoom zoom_val
    on hover:
        zoom zoom_val
    on selected_hover:
        zoom zoom_val
screen no_rollback_interactions():
    $ renpy.choice_for_skipping()
    key "mousedown_4" action NullAction()
    key "mousedown_5" action NullAction()

screen close_phone_when_clicked_outside():
    button:
        xysize (1920,1080)
        action [Hide("phone"), Show("phone_hotspot"), With(dissolve)]



screen phone_base(phone_image="phone/Main Menu/PhoneWithBGNoApps.png"):
    modal True
    use no_rollback_interactions()
    use close_phone_when_clicked_outside()
    imagebutton idle phone_image xcenter 0.5 ycenter 0.5 action NullAction()


screen phone_home_button(button_action=None):
    imagebutton:
        idle "phone/App Group/HomeButton.png"
        xcenter 0.5
        ycenter 0.92
        action If(button_action is None, [Hide("phone"), Show("phone_hotspot"), With(dissolve)], button_action)


screen phone():
    tag phone
    use phone_base()
    imagebutton auto "phone/PhoneMenu/Chat_%s.png" focus_mask True action Show("chat") xcenter 0.5 ycenter 0.5
    imagebutton auto "phone/PhoneMenu/AllApps_%s.png" focus_mask True action Show("all_apps") xcenter 0.5 ycenter 0.5
    imagebutton auto "phone/PhoneMenu/Aurora_%s.png" focus_mask True action Show("social_app") xcenter 0.5 ycenter 0.5
    imagebutton auto "phone/PhoneMenu/Contacts_%s.png" focus_mask True action Show("chat") xcenter 0.5 ycenter 0.5
    imagebutton auto "phone/PhoneMenu/Gallery_%s.png" focus_mask True action Show("galleryauswahl") xcenter 0.5 ycenter 0.5


screen all_apps():
    tag phone
    use phone_base()
    text "Search..." xcenter 0.44 ypos 122 size 17
    grid 4 5:
        xcenter 0.5
        ycenter 0.43
        xspacing 35
        yspacing 40

        $ app_icon_zoom = 0.7

        imagebutton idle "phone_OLD/PhoneMenu/chat_idle.png" focus_mask True hover "phone_OLD/PhoneMenu/chat_hover.png" at image_zoom(app_icon_zoom) action Show("chat")
        imagebutton idle "phone_OLD/PhoneMenu/gallery_idle.png" focus_mask True hover "phone_OLD/PhoneMenu/gallery_hover.png" at image_zoom(app_icon_zoom) action ShowMenu("galleryauswahl")
        imagebutton idle "phone_OLD/PhoneMenu/settings_idle.png" focus_mask True hover "phone_OLD/PhoneMenu/settings_hover.png" at image_zoom(app_icon_zoom) action ShowMenu()
        imagebutton idle "phone_OLD/PhoneMenu/chat_idle.png" focus_mask True hover "phone_OLD/PhoneMenu/chat_hover.png" at image_zoom(app_icon_zoom) action Show("music_app")

        imagebutton idle "phone_OLD/PhoneMenu/chat_idle.png" focus_mask True hover "phone_OLD/PhoneMenu/chat_hover.png" at image_zoom(app_icon_zoom) action Show("social_app")
        imagebutton idle "phone_OLD/PhoneMenu/gallery_idle.png" focus_mask True hover "phone_OLD/PhoneMenu/gallery_hover.png" at image_zoom(app_icon_zoom) action Function(renpy.notify, "Sorry, this app is not available in your country!")
        imagebutton idle "phone_OLD/PhoneMenu/settings_idle.png" focus_mask True hover "phone_OLD/PhoneMenu/settings_hover.png" at image_zoom(app_icon_zoom) action Function(renpy.notify, "This is the FBI! You're using a pirated app!")
        imagebutton idle "phone_OLD/PhoneMenu/chat_idle.png" focus_mask True hover "phone_OLD/PhoneMenu/chat_hover.png" at image_zoom(app_icon_zoom) action Function(renpy.notify, "Not compatible with current OS! Please buy a new phone")





    text "{color=#fff}●{/color} {color=#ccc}● ● ●{/color}" xcenter 0.5 ycenter 0.865 size 12
    use phone_home_button(button_action=Show("phone"))
# Decompiled by unrpyc: https://github.com/CensoredUsername/unrpyc
